Subject: [PATCH 0/2] Fix broken Retroarch while respecting FSDG

From: Andrew Wong <[email-masked]>
Date: Wed, 25 Dec 2024 16:29:45 -0500

Retroarch's ability to download "cores" (libraries) to userspace was removed
recently because of non-free cores being available. However, I have found a
more sensible solution which enables the free-licensed cores (which make up
the majority of the list) to still be downloaded. All that is needed is for
the entries for nonfree cores in the retroarch-core-info package to be
removed; without these entries, Retroarch cannot download or update the
nonfree cores, and the FSDG are respected while keeping the software usable.

Andrew Wong (2):
  gnu: retroarch-core-info: Remove non-free core listings.
  gnu: retroarch-minimal: Enable core downloading with limited core
    info.

 gnu/packages/emulators.scm | 59 +++++++++++++++++++++++++++-----------
 1 file changed, 42 insertions(+), 17 deletions(-)

-- 
2.46.0